Auth API reference

Auth API · Consumer-Auth

post/{app_slug}/v1/auth/reset-password

Submit a reset code + new password

Consumes the 6-digit reset code (single-use). On success the password is updated and every active session for the user is revoked.

Path parameters

app_slug*string

Slug of the app.

Request body

code*string

6-digit numeric code from the password-reset message.

Example: "123456"

new_password*string

New password. Must satisfy the app-configured policy.

Example: "a new long passphrase 42"

Response · 204

Password updated.

Example

Request

POST https://api.auth.productcraft.co/{app_slug}/v1/auth/reset-password
Content-Type: application/json

{
  "code": "123456",
  "new_password": "a new long passphrase 42"
}